Subject: Re: [PATCH 1/3] completion: fix alias listings with newlines

From: Stephen Boyd <[email-masked]>
Date: Thu, 08 Oct 2009 00:34:53 -0700

Shawn O. Pearce wrote:
>
> Yes, we should try to avoid spawning a process here, it fires on
> each completion attempt if I recall.
>

Ok. It looks like it fires on every completion with no command (i.e. git
<TAB><TAB>). I don't particularly like my solution anyways, and this has
existed for a long time (56fc25f maybe?) with no one noticing. A fix for
it is probably not too pressing.

I found another problem, [ARGS] and COMMAND show up in git <TAB><TAB>.
Looks like it's due to the wrapping of git's usage string.

>
> Or a format string with a language based escape like for-each-ref
> supports?  Might make it easier to use git config in scripts if we
> can write things like:
>
>   git config --format='$data{%(key)}=%(value);' --perl

This sounds reasonable, but also like more work ;-)